package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.IntegralLogMapper;
import com.ruoyi.system.domain.IntegralLog;
import com.ruoyi.system.service.IIntegralLogService;

/**
 * 积分日志Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
@Service
public class IntegralLogServiceImpl implements IIntegralLogService 
{
    @Autowired
    private IntegralLogMapper integralLogMapper;

    /**
     * 查询积分日志
     * 
     * @param id 积分日志主键
     * @return 积分日志
     */
    @Override
    public IntegralLog selectIntegralLogById(Long id)
    {
        return integralLogMapper.selectIntegralLogById(id);
    }

    /**
     * 查询积分日志列表
     * 
     * @param integralLog 积分日志
     * @return 积分日志
     */
    @Override
    public List<IntegralLog> selectIntegralLogList(IntegralLog integralLog)
    {
        return integralLogMapper.selectIntegralLogList(integralLog);
    }

    /**
     * 新增积分日志
     * 
     * @param integralLog 积分日志
     * @return 结果
     */
    @Override
    public int insertIntegralLog(IntegralLog integralLog)
    {
        return integralLogMapper.insertIntegralLog(integralLog);
    }

    /**
     * 修改积分日志
     * 
     * @param integralLog 积分日志
     * @return 结果
     */
    @Override
    public int updateIntegralLog(IntegralLog integralLog)
    {
        return integralLogMapper.updateIntegralLog(integralLog);
    }

    /**
     * 批量删除积分日志
     * 
     * @param ids 需要删除的积分日志主键
     * @return 结果
     */
    @Override
    public int deleteIntegralLogByIds(Long[] ids)
    {
        return integralLogMapper.deleteIntegralLogByIds(ids);
    }

    /**
     * 删除积分日志信息
     * 
     * @param id 积分日志主键
     * @return 结果
     */
    @Override
    public int deleteIntegralLogById(Long id)
    {
        return integralLogMapper.deleteIntegralLogById(id);
    }
}
